/*  author: G. Matas                           (g.matas@ee.surrey.ac.uk)
*/
/* +-------------------------------------------------------------------+ */
/* | Copyright 1992, George Matas.                                     | */
/* |   Permission to use, copy, modify, and distribute this software   | */
/* |   and its documentation for any purpose and without fee is hereby | */
/* |   granted, provided that the above copyright notice appear in all | */
/* |   copies and that both that copyright notice and this permission  | */
/* |   notice appear in supporting documentation.  This software is    | */
/* |   provided "as is" without express or implied warranty.           | */
/* +-------------------------------------------------------------------+
*/
/*-----------------------------------------------------------------------*/
static char sccsid[]="@(#)93/06/30 g.matas@ee.surrey.ac.uk 5.1 man_ex2.c";



#include "LL.h"
#include <stdio.h>


int main(int argc, char ** argv)
{
  t_LL num = ConsLL();
  
  int some_num [] = { 7, 3 , 8, 1, 19};

  {                      /* insert all numbers in some_num  into the list  */
    int i;
    for (i=0; i < sizeof(some_num)/sizeof(int); i++)
      InsLastLL(num,some_num[i]);
  }

  /* print the list of integers in various formats */
  FprintLL(num,stdout,"Plain  : ","%d ","\n");
  FprintLL(num,stdout,"2digits: ","%2d ","\n");
  FprintLL(num,stdout,"Element_a_line   :\n","%d\n","\n");
  FprintLL(num,stdout,"Elm= - : ","%*d-","\n");
  


  DestLL(num);                      /* clean up, destroy list */ 
  return 0;
}
