/*  author: G. Matas                           (g.matas@ee.surrey.ac.uk)
*/
/* +-------------------------------------------------------------------+ */
/* | Copyright 1992, George Matas.                                     | */
/* |   Permission to use, copy, modify, and distribute this software   | */
/* |   and its documentation for any purpose and without fee is hereby | */
/* |   granted, provided that the above copyright notice appear in all | */
/* |   copies and that both that copyright notice and this permission  | */
/* |   notice appear in supporting documentation.  This software is    | */
/* |   provided "as is" without express or implied warranty.           | */
/* +-------------------------------------------------------------------+
*/
/*-----------------------------------------------------------------------*/
static char sccsid[]="@(#)93/06/30 g.matas@ee.surrey.ac.uk 5.1 man_ex4.c";



#include "LL.h"
#include <stdio.h>
#include <string.h>  /* for strlen */

int main(int argc, char ** argv)
{
  t_LL list = ConsLL();

  char * strings[] = {"S1","S2","S3","forth"};
  float   numbs[] = {1.2,3.4,5.6};
  float * numb;
  
  
  numb = InsFirstLL(list,numbs[0]); /*remember ptr to the 1st insert. elm*/
  InsLastLL(list,numbs[1]);
  InsLastLL(list,numbs[2]);
  InsAftLL(numb,numbs[2]);                  /* numb[2] is Last and second */
  FprintLL(list,stdout,"List  : ","%3.1f ","\n");

  DelElmLL(numb);                          /* delete one (first) element */
  FprintLL(list,stdout,"List  : ","%3.1f ","\n");
  
  for(numb=FirstElmLL(list); IsElmLL(numb); numb=DelElmNeLL(numb))
    ;                                      /* empty the list*/

  InsFirstLLf(list,strlen(strings[1])+1,strings[1]); /* + 1 for term. zero */
  InsFirstLLf(list,strlen(strings[2])+1,strings[2]); 
  FprintLL(list,stdout,"List  :\n","%S\n","\n");

  DestLL(list);                      /* clean up, destroy list */ 
  return 0;
}
